Package org.silverpeas.components.whitepages.service

## Interface MixedSearchService

- All Known Implementing Classes:
    `MixedSearchServiceImpl`

      public interface MixedSearchService

- - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static MixedSearchService` | `get()` |
    `List<org.silverpeas.core.index.search.model.SearchResult>` | `search​(String componentId, String userId, String queryString, String taxonomyPosition, Map<String,​String> xmlFields, String xmlTemplate, List<org.silverpeas.core.index.indexing.model.FieldDescription> fieldsQuery, String language)` |

- - ### Method Detail

    - #### get

          static MixedSearchService get()

    - #### search

          List<org.silverpeas.core.index.search.model.SearchResult> search​(String componentId,
                                                                           String userId,
                                                                           String queryString,
                                                                           String taxonomyPosition,
                                                                           Map<String,​String> xmlFields,
                                                                           String xmlTemplate,
                                                                           List<org.silverpeas.core.index.indexing.model.FieldDescription> fieldsQuery,
                                                                           String language)
                                                                    throws Exception

      Parameters:
        `componentId` - the component instance identifier
        `userId` - the user identifier
        `queryString` - standard search
        `taxonomyPosition` - PDC filter
        `xmlFields` - xml fields filter
        `xmlTemplate` - xml template filter
        `fieldsQuery` - ldap and silverpeas fields filter
        `language` -
      Returns:
        a List of SearchResult
      Throws:
        `Exception`